package mhp.oee.po.gen;

import java.util.Date;

public class ActivityParamValuePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.ACTIVITY_BO
     *
     * @mbggenerated
     */
    private String activityBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.PARAM_ID
     *
     * @mbggenerated
     */
    private String paramId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.PARAM_VALUE
     *
     * @mbggenerated
     */
    private String paramValue;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_param_value.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.HANDLE
     *
     * @return the value of activity_param_value.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.HANDLE
     *
     * @param handle the value for activity_param_value.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.SITE
     *
     * @return the value of activity_param_value.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.SITE
     *
     * @param site the value for activity_param_value.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.ACTIVITY_BO
     *
     * @return the value of activity_param_value.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public String getActivityBo() {
        return activityBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.ACTIVITY_BO
     *
     * @param activityBo the value for activity_param_value.ACTIVITY_BO
     *
     * @mbggenerated
     */
    public void setActivityBo(String activityBo) {
        this.activityBo = activityBo == null ? null : activityBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.PARAM_ID
     *
     * @return the value of activity_param_value.PARAM_ID
     *
     * @mbggenerated
     */
    public String getParamId() {
        return paramId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.PARAM_ID
     *
     * @param paramId the value for activity_param_value.PARAM_ID
     *
     * @mbggenerated
     */
    public void setParamId(String paramId) {
        this.paramId = paramId == null ? null : paramId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.PARAM_VALUE
     *
     * @return the value of activity_param_value.PARAM_VALUE
     *
     * @mbggenerated
     */
    public String getParamValue() {
        return paramValue;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.PARAM_VALUE
     *
     * @param paramValue the value for activity_param_value.PARAM_VALUE
     *
     * @mbggenerated
     */
    public void setParamValue(String paramValue) {
        this.paramValue = paramValue == null ? null : paramValue.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.CREATED_DATE_TIME
     *
     * @return the value of activity_param_value.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity_param_value.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.MODIFIED_DATE_TIME
     *
     * @return the value of activity_param_value.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for activity_param_value.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_param_value.MODIFIED_USER
     *
     * @return the value of activity_param_value.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_param_value.MODIFIED_USER
     *
     * @param modifiedUser the value for activity_param_value.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}